
#language: ru

@MovingProducts

Функционал: 013. MovingProducts. Создание распоряжений на отгрузку

Сценарий: 013.1. MovingProducts. Создание распоряжения на отгрузку для перемещения вручную

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.013. Перемещение товаров"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаОтгрузку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'План отгрузки для перемещения вручную' |
	И я нажимаю на кнопку 'Распоряжение на отгрузку(План отгрузки)'
	Тогда открылось окно 'Распоряжение на отгрузку (создание)'
	И элемент формы "Склад" стал равен "Сырная ГП"
	И элемент формы "Ответственный" стал равен "Администратор"
	И я перехожу к закладке "Товары"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'   | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '10,000'     | 'кг'  | 'Сыр Адыгейский' | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '10,000, кг'     | '10'      |
	И я перехожу к закладке "Дополнительно"
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на отгрузку для перемещения вручную'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на отгрузку * от *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И я закрываю окно 'Планы отгрузки'

Сценарий: 013.2. MovingProducts. Создание упаковочного листа, Распоряжение на отгрузку для перемещения через АРМы
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '10,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Паспорт паллеты'
	И я жду открытия окна 'Паллета *' в течение 20 секунд
	И я жду когда в табличном документе "ТекущаяПечатнаяФорма" заполнится ячейка "R28C6" в течение 20 секунд
	И я запоминаю значение ячейки табличного документа "ТекущаяПечатнаяФорма" "R28C6" в переменную "ИмяПеременной"
	И Я закрываю окно 'Паллета *'
	Тогда открылось окно 'Паллета *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Паллета *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Отгрузка'
	И я нажимаю на гиперссылку "ЗаданиеНаДоставкуПредставление"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'             | 'Время начала рейса (план)' | 'Машина'        |
		| 'Водитель Петров Петр' | '12.10.2019 0:00:00'        | 'А524НВ Газель' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на гиперссылку "ПланОтгрузкиПредставление"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я выбираю текущую строку
	И в поле 'Штрихкод' я ввожу значение переменной "ИмяПеременной"
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И Я закрываю окно ''
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 013.3. MovingProducts. Завершение

	И Я закрыл все окна клиентского приложения